Bug 487764 - .desktop menu entry has wrong/missing categories
.desktop menu entry has wrong/missing categories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 15:08 EST by Rudolf Kastl
Modified: 2009-07-16 03:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.17-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 02:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against seamonkey.spec in cvs (709 bytes, patch)
2009-02-27 15:10 EST, Rudolf Kastl
no flags Details | Diff

  None (edit)
Description Rudolf Kastl 2009-02-27 15:08:12 EST
Description of problem:
the desktop entry generated has obsolete and missing categorys. patch to the specfile attached to report.

wouldnt it be better to get those changes upstream too instead of using desktop-file-install to add the appropriate categorys?

Version-Release number of selected component (if applicable):
cvs
Comment 1 Rudolf Kastl 2009-02-27 15:10:01 EST
Created attachment 333525 [details]
patch against seamonkey.spec in cvs

patch against seamonkey.spec in cvs to fix menu categorisation
Comment 2 Christopher Aillon 2009-02-27 15:35:17 EST
Upstream doesn't ship a desktop file.  Probably better to just fix those outright.  They should be available as Source files in the SRPM.
Comment 3 Rudolf Kastl 2009-02-27 16:17:50 EST
seamonkey.desktop

change:
Categories=Network;Application;X-Fedora;

to
Categories=Network;WebBrowser;


seamonkey-mail.desktop

change:
Categories=Network;Application;X-Fedora;

to
Categories=Network;Email;

thanks
Comment 4 Bug Zapper 2009-06-09 07:43:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Kai Engert (:kaie) 2009-06-18 02:51:32 EDT
I've started a build.
I'll submit it to fedora testing if it works right.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1422415
Comment 6 Fedora Update System 2009-06-18 04:08:08 EDT
seamonkey-1.1.16-1.11.1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/seamonkey-1.1.16-1.11.1.fc11
Comment 7 Kai Engert (:kaie) 2009-06-18 04:09:19 EDT
Not sure if this deserves getting pushed to stable, but please give feedback whether it works right. It'll then get included on the next seamonkey update.
Comment 8 Kai Engert (:kaie) 2009-06-18 04:09:53 EDT
I mean, whether it deserves the hassle of a big update package for this minor fix.
Comment 9 Fedora Update System 2009-06-19 09:34:20 EDT
seamonkey-1.1.16-1.11.1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update seamonkey'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6694
Comment 10 Fedora Update System 2009-07-10 08:20:23 EDT
seamonkey-1.1.17-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/seamonkey-1.1.17-1.fc10
Comment 11 Fedora Update System 2009-07-10 08:20:28 EDT
seamonkey-1.1.17-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/seamonkey-1.1.17-1.fc11
Comment 12 Fedora Update System 2009-07-16 02:56:13 EDT
seamonkey-1.1.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-16 03:09:54 EDT
seamonkey-1.1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.